Detached .ots for the batch root (verify with `ots verify -d <root> <file>`)
GET
/v1/batches/{id}/ots
const url = 'https://api.hardstate.net/v1/batches/example/ots';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hardstate.net/v1/batches/example/otsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”OpenTimestamps proof
Media typeapplication/vnd.opentimestamps.v1
HardState is a Zevlat Intelligence venture. © 2026 Zevlat Intelligence.